Skip to content

Create a Message for a Request

Request

Beta
OAuth 2.0 scope:
  • okta.governance.accessRequests.manage
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Creates a message to add context to the request. Message will be authored by the authenticated user and display as "Sent via API".

Path
requestIdstring, (request-id), = 24 characters(request-id)^[a-fA-F\d]{24}$required

Unique identifier for the request

Bodyapplication/jsonrequired

The writable attributes of a request message

messagestring, [ 1 .. 5000 ] characters(request-message-message)required

Message that will be created for the request. Newline can be specified by characters "\n". Message will be visible for all users who can view the request.

POST
/governance/api/v1/requests/{requestId}/messages
curl -i -X POST \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/requests/{requestId}/messages' \
  -H 'Content-Type: application/json' \
  -d '{
    "message": "Contact admin@atko.com for any additional assistance needed with this request."
  }'

Responses

A successful create request message response

Response
No content